<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Formatters.html" >Formatters</a>.Dot

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dot.html#_rel" >_rel</a></span>(<span class="variable">frm</span>, <span class="variable">to</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._rel" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line383" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dot.html#_convert_map" >_convert_map</a></span>(<span class="variable">input</span>, <span class="variable">output</span>, <span class="variable">base_url</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._convert_map" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line393" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">convert map generated from Dot to a html region map.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_format">_format</a>(<span class="variable">input</span>, <span class="variable">output</span>, <span class="variable">format</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._format" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line408" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_format_png">_format_png</a>(<span class="variable">input</span>, <span class="variable">output</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._format_png" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line419" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dot.html#_format_html" >_format_html</a></span>(<span class="variable">input</span>, <span class="variable">output</span>, <span class="variable">base_url</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._format_html" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line421" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">generate &#40;active&#41; image for html.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Dot/SystemError.html" >SystemError</a></div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.SystemError" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line23" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Error thrown by the system&#40;&#41; function.</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/DotFileGenerator.html" >DotFileGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line62" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Dot/InheritanceGenerator.html" >InheritanceGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line101" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Formatter that generates an inheritance graph.</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/SingleInheritanceGenerator.html" >SingleInheritanceGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line283" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Formatter that generates an inheritance graph for a specific class.</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/FileDependencyGenerator.html" >FileDependencyGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.FileDependencyGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line369" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Dot/Formatter.html" >Formatter</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.Formatter" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line442" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dot.html#system" >system</a></span>(<span class="variable">command</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.system" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line37" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Run the command.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dot.html#normalize" >normalize</a></span>(<span class="variable">color</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.normalize" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line46" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a color triplet from a color string.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="light">light</a>(<span class="variable">color</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.light" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line55" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="verbose">verbose</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line20" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="debug">debug</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line21" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Protected Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_rel">_rel</a>(<span class="variable">frm</span>, <span class="variable">to</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._rel" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line383" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Find link to to relative to frm</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_convert_map">_convert_map</a>(<span class="variable">input</span>, <span class="variable">output</span>, <span class="variable">base_url</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._convert_map" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line393" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">convert map generated from Dot to a html region map.
   input and output are &#40;open&#41; streams</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_format_html">_format_html</a>(<span class="variable">input</span>, <span class="variable">output</span>, <span class="variable">base_url</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot._format_html" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line421" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">generate &#40;active&#41; image for html.
   input and output are file names. If output ends
   in '.html'&#44; its stem is used with an '.png' suffix for the
   actual image.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Dot/SystemError.html" >SystemError</a></div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.SystemError" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line23" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Error thrown by the system&#40;&#41; function. Attributes are 'retval'&#44; encoded
   as per os.wait&#40;&#41;: low-byte is killing signal number&#44; high-byte is return
   value of command.</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/DotFileGenerator.html" >DotFileGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line62" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that encapsulates the dot file generation</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/InheritanceGenerator.html" >InheritanceGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line101" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Formatter that generates an inheritance graph. If the 'toc' argument is not None&#44;
   it is used to generate URLs. If no reference could be found in the toc&#44; the node will
   be grayed out.</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/SingleInheritanceGenerator.html" >SingleInheritanceGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line283" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Formatter that generates an inheritance graph for a specific class.
   This Visitor visits the ASG upwards&#44; i.e. following the inheritance links&#44; instead of
   the declarations contained in a given scope.</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/FileDependencyGenerator.html" >FileDependencyGenerator</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.FileDependencyGenerator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line369" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Formatter that generates a file dependency graph</div></div>
<div class="item"><div class="synopsis">class <a href="Dot/Formatter.html" >Formatter</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis.Formatters.Dot.Formatter" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line442" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The Formatter class acts merely as a frontend to
   the various InheritanceGenerators</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="system">system</a>(<span class="variable">command</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.system" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line37" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Run the command. If the command fails&#44; an exception SystemError is
   thrown.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="normalize">normalize</a>(<span class="variable">color</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Dot.normalize" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/Dot.py.html#line46" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a color triplet from a color string.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
